> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Playlists

> Get playlists from a YouTube channel. Can pass channelId or handle.

**Credit Cost:** 1 credit per request

<Note>💳 **1 credit per request**</Note>


## OpenAPI

````yaml GET /v1/scrape/youtube/channel/playlists
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/youtube/channel/playlists:
    get:
      tags:
        - youtube
      summary: Channel Playlists
      description: |-
        Get playlists from a YouTube channel. Can pass channelId or handle.

        **Credit Cost:** 1 credit per request
      operationId: youtube_Channel_Playlists
      parameters:
        - name: channelId
          in: query
          description: YouTube channel ID
          required: false
          schema:
            type: string
            example: UCX6OQ3DkcsbYNE6H8uQQuVA
        - name: handle
          in: query
          description: YouTube channel handle
          required: false
          schema:
            type: string
            example: MrBeast
        - name: continuationToken
          in: query
          description: >-
            Continuation token to get more playlists. Get 'continuationToken'
            from previous response.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response containing channel playlists


            **Key Response Fields:**

            - `playlists[].id`: YouTube playlist ID

            - `playlists[].title`: Playlist title

            - `playlists[].playlistUrl`: Full URL to the playlist

            - `playlists[].videoId`: ID of the first video in the playlist

            - `playlists[].videoUrl`: URL to the first video

            - `playlists[].videoCount`: Number of videos in the playlist

            - `playlists[].thumbnail`: Playlist thumbnail image URL

            - `continuationToken`: Token to fetch the next page of playlists
            (null if no more pages)
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  videos: {}
                  channels: {}
                  playlists:
                    '0':
                      type: playlist
                      id: PLoSWVnSA9vG8hI-SUpAimvYJrPh-PRRvp
                      title: If You Survive, You Win
                      playlistUrl: >-
                        https://www.youtube.com/playlist?list=PLoSWVnSA9vG8hI-SUpAimvYJrPh-PRRvp
                      videoId: tnTPaLOaHz8
                      videoUrl: https://www.youtube.com/watch?v=tnTPaLOaHz8
                      videoCount: 4
                      channel:
                        channelUrl: https://www.youtube.com/@undefined
                    '1':
                      type: playlist
                      id: PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2
                      title: Helping People In Need
                      thumbnail: >-
                        https://i.ytimg.com/tvfilm_banner/PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2/16_9_.jpg?sqp=CKDrqdEG-oaymwEICNYGEOADSFqi85f_AwYIsPuCygY=&rs=AOn4CLATdLKcXu6Q0HuyZmzpisYCnBhn3g
                      playlistUrl: >-
                        https://www.youtube.com/playlist?list=PLoSWVnSA9vG_s-XT40oPKF0iWFGw8pOp2
                      videoId: HPJKxAhLw5I
                      videoUrl: https://www.youtube.com/watch?v=HPJKxAhLw5I
                      videoCount: 9
                      channel:
                        channelUrl: https://www.youtube.com/@undefined
                  shorts: {}
                  shelves: {}
                  lives: {}
                  continuationToken: null
                credits_used: 1
                endpoint: youtube/channel/playlists
        '400':
          description: Bad Request - Missing channelId or handle
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Either channelId or handle is required
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                  available:
                    type: integer
                    example: 0
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````